# Class GradleBuild

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.GradleBuild

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

public class GradleBuild extends org.gradle.api.internal.ConventionTask
Executes a Gradle build.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`GradleBuild()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getBuildFile()`
Returns the build file that should be used for this build.
`File`
`getDir()`
Returns the project directory for the build.
`StartParameter`
`getStartParameter()`
Returns the full set of parameters that will be used to execute the build.
`List<String>`
`getTasks()`
Returns the tasks that should be executed for this build.
`void`
`setBuildFile(File file)`
Sets the build file that should be used for this build.
`void`
`setBuildFile(Object file)`
Sets the build file that should be used for this build.
`void`
`setDir(File dir)`
Sets the project directory for the build.
`void`
`setDir(Object dir)`
Sets the project directory for the build.
`void`
`setStartParameter(StartParameter startParameter)`
Sets the full set of parameters that will be used to execute the build.
`void`
`setTasks(Collection<String> tasks)`
Sets the tasks that should be executed for this build.
`void`
`setTasks(List<String> tasks)`
Sets the tasks that should be executed for this build.

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GradleBuild

public GradleBuild()

## Method Details

### getStartParameter

@Internal public StartParameter getStartParameter()
Returns the full set of parameters that will be used to execute the build.

Returns:
  the parameters. Never returns null.

### setStartParameter

public void setStartParameter(StartParameter startParameter)
Sets the full set of parameters that will be used to execute the build.

Parameters:
  `startParameter` - the parameters. Should not be null.

### getDir

@Internal public File getDir()
Returns the project directory for the build. Defaults to the project directory.

Returns:
  The project directory. Never returns null.

### setDir

public void setDir(File dir)
Sets the project directory for the build.

Parameters:
  `dir` - The project directory. Should not be null.
Since:
  4.0

### setDir

public void setDir(Object dir)
Sets the project directory for the build.

Parameters:
  `dir` - The project directory. Should not be null.

### getBuildFile

@Optional @InputFile public File getBuildFile()
Returns the build file that should be used for this build. Defaults to "build.gradle" in the project directory.

Returns:
  The build file. May be null.

### setBuildFile

public void setBuildFile(File file)
Sets the build file that should be used for this build.

Parameters:
  `file` - The build file. May be null to use the default build file for the build.
Since:
  4.0

### setBuildFile

public void setBuildFile(Object file)
Sets the build file that should be used for this build.

Parameters:
  `file` - The build file. May be null to use the default build file for the build.

### getTasks

@Input public List<String> getTasks()
Returns the tasks that should be executed for this build.

Returns:
  The sequence. May be empty. Never returns null.

### setTasks

public void setTasks(List<String> tasks)
Sets the tasks that should be executed for this build.

Parameters:
  `tasks` - The task names. May be empty or null to use the default tasks for the build.
Since:
  4.0

### setTasks

public void setTasks(Collection<String> tasks)
Sets the tasks that should be executed for this build.

Parameters:
  `tasks` - The task names. May be empty or null to use the default tasks for the build.